> For the complete documentation index, see [llms.txt](https://docs.fluxpoint.dev/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluxpoint.dev/api/library/c.md).

# C\#

### Info

This library was made by Builderb and is available on NugGet and GitHub.

### Download

Install the package in your project using nuget package manager or github.

`NugGet:`   <https://www.nuget.org/packages/fluxpoint-sharp>\
`GitHub:`  <https://github.com/FluxpointDev/fluxpoint-sharp>

### Example

Here is an example on how to use the library.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/library/c.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
